#!/bin/bash

# This script is currently a dummy to take down some notes on building.
# It is not meant to be a general purpose build script.

set -e

cd `dirname $0`

# build requirements need to be installed:
#   polarssl, qt5, (opt) doxygen, (opt) hiawatha-webserver, (opt) libnss3-dev

mkdir -p build-linux
cd build-linux
cmake .. -DCMAKE_VERBOSE_MAKEFILE=True -DCMAKE_PREFIX_PATH=~/ubuntu
nice make -j8
cd ..
mkdir -p build-windows
cd build-windows
cmake .. \
    -DCMAKE_PREFIX_PATH="~/ubuntu/src/mxe/usr/i686-w64-mingw32.static/qt5;~/ubuntu/src/mxe/usr/i686-w64-mingw32.static" \
    -DCMAKE_TOOLCHAIN_FILE='~/ubuntu/src/mxe/usr/i686-w64-mingw32.static/share/cmake/mxe-conf.cmake' \
    -DCMAKE_VERBOSE_MAKEFILE=True
nice make -j8
cd ..

# Note: qt5 plugins have .lib suffix
# find ~/ubuntu/src/mxe/usr/i686-w64-mingw32.static/qt5/lib/cmake -name \*.cmake | xargs sed -i 's/\/\([a-z]*\)\.lib/\/lib\1\.a/g'
# Also they need to have a lib prefixed...
# Then there is a bogous call _qt5gui_find_extra_libs(OPENGL "glu32;opengl32;gdi32;user32" "" "")
# where the first "" has to be replaced by your windows prefix. e.g.
# /home/andre/ubuntu/src/mxe/usr/i686-w64-mingw32.static/lib
# if this does not work you can omment out the line altogether
